VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 5
声望: 0

13:36:30 初始化CTA回测引擎
13:36:30 策略文件加载完成
13:36:30 RQData数据接口初始化成功
13:37:50 ----------------------------------------
13:37:50 IF1908.CFFEX-1m开始下载历史数据
13:37:51 数据下载失败,触发异常:
Traceback (most recent call last):
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 3158, in execute_sql
cursor.execute(sql, params or ())
sqlite3.IntegrityError: NOT NULL constraint failed: dbbardata.turnover

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\vnpy_ctabacktester\engine.py", line 404, in run_downloading
database_manager.save_bar_data(data)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\vnpy\database\sqlite\sqlite_database.py", line 156, in save_bar_data
DbBarData.insert_many(c).on_conflict_replace().execute()
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 1910, in inner
return method(self, database, args, **kwargs)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 1981, in execute
return self._execute(database)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 2759, in _execute
return super(Insert, self)._execute(database)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 2477, in _execute
cursor = database.execute(self)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 3171, in execute
return self.execute_sql(sql, params, commit=commit)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 3165, in execute_sql
self.commit()
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 2931, in exit
reraise(new_type, new_type(exc_value,
exc_args), traceback)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 190, in reraise
raise value.with_traceback(tb)
File "C:\Users\pc\AppData\Local\Programs\GTJAQH vn.py Trader\pkgs\peewee.py", line 3158, in execute_sql
cursor.execute(sql, params or ())
peewee.IntegrityError: NOT NULL constraint failed: dbbardata.turnover

Member
avatar
加入于:
帖子: 3583
声望: 234

请不要把国君专属版和开源版混用,国君专属版数据表里没有turnover字段,开源版2.5.0之后加上了turnover字段

Member
avatar
加入于:
帖子: 5
声望: 0

两都装了,但没启动。怎么改尼。谢谢

Member
avatar
加入于:
帖子: 3583
声望: 234

把.vntrader文件夹删掉再重启试试

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】